using Autofac;
using FitConnect;
using FitConnect.Models;
using Microsoft.Extensions.Logging;
using MockContainer;
using NUnit.Framework;

namespace FluentApiTest;

public class SubscriberReceiveTests {
    private readonly string clientId = "clientId";
    private readonly string clientSecret = "clientSecret";
    private IContainer _container = null!;
    private ILogger _logger = null!;
    private MockSettings _mockSettings = null!;

    [OneTimeSetUp]
    public void OneTimeSetup() {
        _container = Container.Create();
        _logger = _container.Resolve<ILogger>();
        _mockSettings = _container.Resolve<MockSettings>();
    }

    [SetUp]
    public void SetUp() {
    }

    [Test]
    [Ignore("Missing encrypted data")]
    public void GetSubmission() {
        var fluentSubscriber =
            new Subscriber(FitConnectEnvironment.Testing, "", "", "", "", "", "", logger: null);

        var submissions = fluentSubscriber
            .GetAvailableSubmissions();

        var attachments = fluentSubscriber
            .RequestSubmission("submissionId")
            .GetAttachments();
    }
}
