using FitConnect;
using FitConnect.Models;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace DemoRunner;

public static class SubscriberDemo {
    public static void Run(IConfiguration config, ILogger logger) {
        var clientId = config["FitConnect:Subscriber:ClientId"];
        var clientSecret = config["FitConnect:Subscriber:ClientSecret"];
        var destinationId = config["FitConnect:Subscriber:DestinationId"];
        var privateKeyDecryption = config["FitConnect:Subscriber:PrivateKeyDecryption"];
        var privateKeySigning = config["FitConnect:Subscriber:PrivateKeySigning"];
        var publicKeyEncryption = config["FitConnect:Subscriber:PublicKeyEncryption"];
        var publicKeySignatureVerification =
            config["FitConnect:Subscriber:PublicKeySignatureVerification"];
        var setPublicKey = config["FitConnect:Subscriber:SetPublicKey"];


        OutputHelper.PrintSubscriber();

        var subscriber = Client.GetSubscriber(FitConnectEnvironment.Testing, clientId,
            clientSecret,
            File.ReadAllText(privateKeyDecryption),
            File.ReadAllText(privateKeySigning),
            File.ReadAllText(publicKeyEncryption),
            File.ReadAllText(publicKeySignatureVerification),
            logger);

        var submissions = subscriber.GetAvailableSubmissions();

        foreach (var submission in submissions) {
            var subscriberWithSubmission = subscriber.RequestSubmission(submission.SubmissionId);
            var attachments = subscriberWithSubmission
                .GetAttachments();

            logger.LogInformation("Fachdaten: {Data}", subscriberWithSubmission.GetDataJson());
            subscriberWithSubmission
                .AcceptSubmission();
        }
    }
}
