﻿using FitConnect.Models;
using FitConnect.Services;
using FitConnect.Services.Interfaces;
using Microsoft.Extensions.Logging;

namespace FitConnect;

public class Router : IRouter {
    private IRouteService RouteService;

    public Router(FitConnectEnvironment environment, ILogger logger = null) {
        RouteService = new RouteService(environment.RoutingUrl, "v1", logger: logger);
    }
    
    public async Task<List<FitConnect.Services.Models.v1.Routes.Route>> FindDestinationsAsync(string leiaKey, string? ags = null,
        string? ars = null,
        string? areaId = null) => await RouteService.GetDestinationIdAsync(leiaKey, ags, ars, areaId);


}
