using Newtonsoft.Json;

namespace FitConnect.Services.Models;

public class OAuthAccessToken {
    private readonly DateTime createdAt = DateTime.Now;

    [JsonProperty("access_token")]
    public string? AccessToken { get; set; }

    [JsonProperty("scope")]
    public string? Scope { get; set; }

    [JsonProperty("token_type")]
    public string? TokenType { get; set; }

    [JsonProperty("expires_in")]
    public int ExpiresIn { get; set; }

    public bool IsValid => createdAt.AddSeconds(ExpiresIn) > DateTime.Now;
}
